#-----------------------
# Camera Parameters
#-----------------------
type: "PinHole"

# Camera calibration parameters
fx: 320.0
fy: 320.0
cx: 320.0
cy: 240.0

# Camera distortion parameters
k1: 0.0
k2: 0.0
p1: 0.0
p2: 0.0

width: 640
height: 480

# Camera frames per second 
fps: 20.0

# Camera extrinsics
T_cam0toIMU:
[0.0, 0.0, 1.0, 0.5, 
1.0, 0.0, 0.0, -0.06,
0.0, 1.0, 0.0, 0.1,
0.0, 0.0, 0.0, 1.0]

T_cam1toIMU:
[0.0, 0.0, 1.0, 0.5,
1.0, 0.0, 0.0, 0.06,
0.0, 1.0, 0.0, 0.1,
0.0, 0.0, 0.0, 1.0]

#-----------------------
# IMU Noise
#-----------------------
gyroscope_noise_density: 1.6968e-04
accelerometer_noise_density: 2.0000e-3
gyroscope_random_walk: 1.9393e-05
accelerometer_random_walk: 3.0000e-3
frequency: 200

